質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.37%

  • Python 3.x

    2391questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

python パッケージをインストールした際に、Unicode errorしました

受付中

回答 1

投稿 2017/11/28 18:55

  • 評価
  • クリップ 0
  • VIEW 83

bof

score 8

このurl https://github.com/DwangoMediaVillage/pqkmeansにあるpqkmeansという手法を用いることが目的です。

上記urlからzipファイルをダウンロードしたディレクトリにおいて、pip install pqkmeansを行ったところ、下記のエラーが表示されました。

Collecting pqkmeans
  Using cached pqkmeans-1.0.1.tar.gz
Requirement already satisfied: numpy in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: scikit-learn in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: pipe in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: scipy in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: typing in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: six in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: texmex_python==1.0.0 in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from pqkmeans)
Requirement already satisfied: lshash3 in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from texmex_python==1.0.0->pqkmeans)
Requirement already satisfied: bitarray in c:\users\hidek\anaconda3\envs\py36con\lib\site-packages (from lshash3->texmex_python==1.0.0->pqkmeans)
Building wheels for collected packages: pqkmeans
  Running setup.py bdist_wheel for pqkmeans ... error
  Failed building wheel for pqkmeans
  Running setup.py clean for pqkmeans
Failed to build pqkmeans
Installing collected packages: pqkmeans
  Running setup.py install for pqkmeans ... error
Exception:
Traceback (most recent call last):
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8e in position 32: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\commands\install.py", line 342, in run
    prefix=options.prefix_path,
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\req\req_set.py", line 784, in install
    **kwargs
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\req\req_install.py", line 878, in install
    spinner=spinner,
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "C:\Users\hidek\Anaconda3\envs\py36con\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8e in position 32: invalid start byte


このエラーに対し、このhttps://qiita.com/akabei/items/da70ebf61cc413d5ff0dに基づいて、chcp 65001をコマンドプロンプトで行ったのですが、同じエラーが表示されました。

エラー解消の方法をお教えいただければ、幸いです。よろしくお願いいたします

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • Takahito_Ogawa

    2017/11/30 05:32

    そもそもWindowsはサポートされていないようですが、それをご存知の上で使おうと思っているということでしょうか。

    キャンセル

  • bof

    2017/11/30 08:44

    windowsがサポートされていないというのは、pqkmeansのパッケージがwindowsに対応していないため、windowsでは使えないということですか?

    キャンセル

回答 1

+1

https://github.com/pypa/pip/issues/4110#issuecomment-342373982

まずは上記の方法に従ってpipを開発バージョンにアップデートしてみてください。

投稿 2017/11/28 20:04

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/28 20:12

    了解いたしました。上記のサイトについてわからないところがあれば、また別に質問させていただきます。

    キャンセル

  • 2017/11/29 19:16

    pip を pip 10.0.0にアップデートいたしましたが、違うエラーにあたり、また新しく質問をさせていただきました。https://teratail.com/questions/102583?modal=q-comp

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.37%

関連した質問

同じタグがついた質問を見る

  • Python 3.x

    2391questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。